## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check

Name:           cargo2rpm
Version:        0.1.5
Release:        %autorelease
Summary:        Translation layer between cargo and RPM
License:        MIT

URL:            https://pagure.io/fedora-rust/cargo2rpm
Source:         %{url}/archive/%{version}/cargo2rpm-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with check}
BuildRequires:  %{py3_dist pytest}
%endif

Requires:       cargo

%description
cargo2rpm implements a translation layer between cargo and RPM. It
provides a CLI interface (for implementing RPM macros and generators)
and a Python API (which rust2rpm is built upon).

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cargo2rpm

%check
%pyproject_check_import
%if %{with check}
%pytest
%endif

%files -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md
%{_bindir}/cargo2rpm

%changelog
* Tue Jun 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.5-1
- Update to version 0.1.5

* Thu Jun 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-2
- Avoid dependency on tox and run tests with pytest directly

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-1
- Update to version 0.1.4; Fixes RHBZ#2196881

* Mon Mar 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.3-1
- Update to version 0.1.3; Fixes RHBZ#2175302

* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.2-1
- Update to version 0.1.2

* Thu Feb 16 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-2
- Update to more modern Python packaging

* Tue Feb 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.1-1
- Update to version 0.1.1

* Mon Feb 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-1
- Initial import (#2169233)
